{% extends 'base.html' %}

{% block head %}
<title>Program generator</title>
{% endblock %}

{% block body %}
<div class="content">
    <h1 style="text-align: center">List exercises</h1>
    {% if exercises|length < 1 %}
    <h4 style="text-align: center">There are no exercises. Please create some from index page</h4>
    {% else %}
    <div>
    <table>
        <tr>
            <th>Category</th>
            <th>Level</th>
            <th>Name</th>
            <th>Reps/Time</th>
            <th>Metric</th>
            <th>Description</th>
            <th>Action</th>
        </tr>
        {% for exercise in exercises %}
        <tr>
            <td>{{ exercise.category }}</td>
            <td>{{ exercise.level }}</td>
            <td>{{ exercise.name }}</td>
            <td>{{ exercise.reps }}</td>
            <td>{{ exercise.metric }}</td>
            <td>{{ exercise.description }}</td>
            <td>
                <a href="/list_exercises/delete/{{exercise.id}}">Delete</a>
                <br>
                <a href="/list_exercises/update/{{exercise.id}}">Update</a>
            </td>
        </tr>
        {% endfor %}
    </table>
    {% endif %}
    </div>
    <br>
    <div>
        <a href="/list_exercises/reset/">
            <button class="grey">
                Reset
            </button>
        </a>
    </div>
    <div>
        <p>
            <a href="/">
                <button class=grey ><!--style="height:75px;width:150px">-->
                    Back to index page
                </button>
            </a>
        </p>
    </div>
</div>
{% endblock %}